
Foreman - Bug #6525

show user is broken on v1 api 

07/08/2014 10:49 AM - Ohad Levy

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

curl  -k -uadmin:changeme https://foreman/api/v2/users/admin

{"auth_source_internal":{"type":"AuthSourceInternal","name":"Internal","id":9},"locations":[],"auth_source_id":9,"usergroups":[{"update

d_at":"2010-09-12T08:38:36Z","name":"Administrators","created_at":"2010-09-12T08:38:36Z","id":1},{"updated_at":"2010-11-10T16:1

8:46Z","name":"super

admins","created_at":"2010-11-10T16:18:46Z","id":2}],"roles":[{"name":"Anonymous","id":8}],"admin":true,"last_login_on":"2014-07-08

T12:46:53Z","default_location":null,"default_organization":null,"login":"admin","organizations":[],"updated_at":"2014-07-08T12:46:53Z

","firstname":"Ohad","id":1,"created_at":"2010-08-15T10:15:30Z","auth_source_name":"Internal","mail":"...om","lastname":"Levy"}%    

V1:

curl -k -uadmin:changeme https://foreman.sat.lab/api/v1/users/admin {"error":{"message":"undefined method `key?' for

#<JSON::Ext::Generator::State:0x7f71ab4f5b68>"}}%    

History

#1 - 07/08/2014 10:51 AM - Ohad Levy

Started GET "/api/v1/users/admin" for 10.35.4.190 at Tue Jul 08 13:51:17 +0100 2014

Processing by Api::V1::UsersController#show as JSON

  Parameters: {"apiv"=>"v1", "id"=>"admin"}

Authorized user admin(Ohad Levy)

  Rendered api/v1/users/show.json.rabl (434.3ms)

undefined method `key?' for #<JSON::Ext::Generator::State:0x7f71ab83e068> (NoMethodError)

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/core_ext/object/

try.rb:36:in `__send__'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/core_ext/object/

try.rb:36:in `try'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activemodel-3.2.18/lib/active_model/serializers/json.rb:

91:in `as_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:55:in `as_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:77:in `check_for_circular_references'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:54:in `as_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:215:in `as_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:215:in `map'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:215:in `as_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:47:in `encode'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:77:in `check_for_circular_references'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:46:in `encode'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/json/encoding.rb

:31:in `encode'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/core_ext/object/
to_json.rb:16:in `to_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/associations/colle

ction_proxy.rb:91:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/associations/colle

ction_proxy.rb:91:in `method_missing'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/json-1.8.1/lib/json/common.rb:223:in `generate'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/json-1.8.1/lib/json/common.rb:223:in `generate'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/json-1.8.1/lib/json/common.rb:394:in `dump'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:240:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:240:in `format_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:64:in `to_json'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:39:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:39:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:285:in `cache_results'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rabl-0.9.0/lib/rabl/engine.rb:39:in `render'

/home/foreman/git/foreman/app/views/api/v1/users/show.json.rabl:1:in `_9849fdef997c7d30598dcf3189d662ba'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/template.rb:145:in `se

nd'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/template.rb:145:in `re

nder_without_deface'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications.rb

:125:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/template.rb:143:in `re

nder_without_deface'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/deface-0.9.1/lib/deface/action_view_extensions.rb:37:in 

`render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/template_rend

erer.rb:47:in `render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/abstract_rend

erer.rb:38:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications.rb

:123:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications/in

strumenter.rb:20:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications.rb

:123:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/abstract_rend

erer.rb:38:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/template_rend

erer.rb:46:in `render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/template_rend

erer.rb:54:in `render_with_layout'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/template_rend

erer.rb:45:in `render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/template_rend

erer.rb:18:in `render_without_newrelic'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/rails3/action_controller.rb:162:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/method_tracer

.rb:219:in `trace_execution_scoped'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/rails3/action_controller.rb:161:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/renderer.rb:3

6:in `render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_view/renderer/renderer.rb:1

7:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:1

10:in `_render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/streaming.

rb:225:in `_render_template'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:1

03:in `render_to_body'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/renderers.

rb:28:in `render_to_body'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/compatibil

ity.rb:50:in `render_to_body'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:8

8:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/rendering.

rb:16:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:40:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/core_ext/benchma

rk.rb:5:in `ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'
/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/core_ext/benchma

rk.rb:5:in `ms'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:40:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:83:in `cleanup_view_runtime'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/railties/controlle

r_runtime.rb:24:in `cleanup_view_runtime'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:39:in `render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/implicit_r

ender.rb:10:in `default_render'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/implicit_r

ender.rb:5:in `send_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:167:in

 `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/rendering.

rb:10:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:1

8:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:494

:in `_run__1911084260__process_action__427618437__callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215

:in `_conditional_callback_around_6593'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326

:in `around'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310

:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310

:in `_callback_around_1751'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214

:in `_conditional_callback_around_6593'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:482

:in `_run__1911084260__process_action__427618437__callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215

:in `_conditional_callback_around_6592'

/home/foreman/git/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214

:in `_conditional_callback_around_6592'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:415

:in `_run__1911084260__process_action__427618437__callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:215

:in `_conditional_callback_around_6591'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:326

:in `around'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310

:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:310

:in `_callback_around_13'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:214

:in `_conditional_callback_around_6591'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:414

:in `_run__1911084260__process_action__427618437__callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405

:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405

:in `__run_callback'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385

:in `_run_process_action_callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:

in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:

in `run_callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/callbacks.rb:1

7:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/rescue.rb:

29:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:30:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications.rb

:123:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications/in

strumenter.rb:20:in `instrument'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/notifications.rb

:123:in `instrument'
/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/instrument

ation.rb:29:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/params_wra

pper.rb:207:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/railties/controlle

r_runtime.rb:18:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/rails3/action_controller.rb:40:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/controller_instrumentation.rb:364:in `perform_action_with_newrelic_trace'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/rails3/action_controller.rb:39:in `process_action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:121:in

 `process'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/abstract_controller/rendering.rb:4

5:in `process'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal.rb:203:in 

`dispatch'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal/rack_deleg

ation.rb:14:in `dispatch'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_controller/metal.rb:246:in 

`action'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.

rb:73:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.

rb:73:in `dispatch'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.

rb:36:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/routing/mapper.rb:

43:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:68:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/routing/route_set.

rb:608:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/apipie-rails-0.1.3/lib/apipie/static_dispatcher.rb:65:in

 `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/rack/error_collecto

r.rb:50:in `traced_call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:55:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/rack/agent_hooks.rb

:26:in `traced_call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:55:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/rack/browser_monito

ring.rb:19:in `traced_call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:55:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/apipie-rails-0.1.3/lib/apipie/middleware/checksum_in_hea

ders.rb:27:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/best_st

andards_support.rb:17:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/head.rb

:14:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/params_

parser.rb:21:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'
/home/foreman/git/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/flash.r

b:242:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `conte

xt'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/cookies

.rb:341:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/query_cache.rb:64:

in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activerecord-3.2.18/lib/active_record/connection_adapter

s/abstract/connection_pool.rb:479:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbac

ks.rb:28:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405

:in `_run__762343324__call__4__callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405

:in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:405

:in `__run_callback'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:385

:in `_run_call_callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:

in `send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/callbacks.rb:81:

in `run_callbacks'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/callbac

ks.rb:27:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/remote_

ip.rb:31:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/debug_e

xceptions.rb:16:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/show_ex

ceptions.rb:56:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/rack/logger.rb:32:in `call_app

'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/rack/logger.rb:16:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/tagged_logging.r

b:22:in `tagged'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/rack/logger.rb:16:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/request

_id.rb:22:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/activesupport-3.2.18/lib/active_support/cache/strategy/l

ocal_cache.rb:72:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati
on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/actionpack-3.2.18/lib/action_dispatch/middleware/static.

rb:63:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward

'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/application.rb:231:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:30:in 

`send'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:30:in 

`method_missing'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/newrelic_rpm-3.9.0.229/lib/new_relic/agent/instrumentati

on/middleware_tracing.rb:57:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `call'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'

/home/foreman/git/foreman/vendor/bundle/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `pro

cess_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `a

ccept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `m

ain_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `start_threads'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:435:in `initialize'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:435:in `new'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:435:in `start_threads'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:434:in `times'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:434:in `start_threads'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:433:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:433:in `start_threads'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:200:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/helper-scripts/rack-preloader.rb:153

  Rendered api/v1/errors/standard_error.json.rabl (2.0ms)

Completed 500 Internal Server Error in 1640.4ms (Views: 5.3ms | ActiveRecord: 39.8ms)

#2 - 07/08/2014 10:54 AM - Dominic Cleal

Looks like #6003, could you confirm you have that patch?

#3 - 07/08/2014 11:10 AM - Joseph Magen

can't reproduce, this works for me

http://localhost:3000/api/v1/users/admin

#4 - 07/08/2014 12:03 PM - Dominic Cleal

- Status changed from New to Feedback

#5 - 07/09/2014 04:24 AM - Ohad Levy

- Status changed from Feedback to New

Joseph Magen wrote:

can't reproduce, this works for me

http://localhost:3000/api/v1/users/admin

 I can confirm i have the above patch. I have 30+ users so might be different test data?
#6 - 12/10/2017 08:55 AM - Tomer Brisker

- Status changed from New to Rejected

api v2 is deprecated. closing.

#7 - 12/10/2017 09:21 AM - Ohad Levy

Tomer Brisker wrote:

api v2 is deprecated. closing.

 I assume you mean v1?
